extends Scene


func _on_frog_pond_interacted() -> void:
	$kq4_015_frog_pond.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_010_forest_path.default_script(self)


func _on_gnomes_cottage_interacted() -> void:
	$kq4_022_gnomes_cottage.default_script(self)


func _on_spooky_house_exterior_interacted() -> void:
	$kq4_017_spooky_house_exterior.default_script(self)


func _on_gravestones_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Each tombstone has an epitaph written on it.")
	).build(self, "_on_script_complete"))


func _on_tree_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("An old, rotting tree adds appropriate charm to the decrepit cemetery.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This run-down, gloomy cemetery gives you the creeps!")
	).build(self, "_on_script_complete"))
